# mp3-library-tsv

This little script will load all the id3 tag information for your entire MP3 library into a TSV file.

You can run it as a cronjob if you wish.

## Do this first

First make sure you have ffmpeg (specifically the binary ffprobe), and jq installed.

Create a text file called paths.lst in the same folder as the script.

Example:
```
/path/to/my/mp3/library
/path/to/another/mp3/library
```

Then run the script and it will create a TSV file called library.tsv.

If you run it again, it will only add new MP3s to the file.

## Why not CSV?

CSV is a comma seperated datafile. The problem is if a song has more than one genre, it is seperated by a comma which would make life painful when importing the library file.

TSV is a tab seperated datafile.

# Donations

Please consider making me small donation. Even though my scripts are open source and free to use, I still need to eat. And the occasional bottle of wine also goes down well.

    $5 buys me a cup of coffee
    $10 buys me a nice burger
    $20 buys me a bottle of wine
    Anything above that will be awesome as well.

You can send me a donation via Paypal https://www.paypal.com/paypalme/thisiszeev

Drop me a message on Reddit if you do make a donation. u/thisiszeev

Support is only offered freely to those who donate $20 or more.

Your donation contributes to further development.

If you need a custom script, contact me on Reddit for pricing.